org.springframework.data.repository.config

## Class FragmentMetadata

- java.lang.Object
- - org.springframework.data.repository.config.FragmentMetadata

    public class FragmentMetadata
    extends Object

Value object for a discovered Repository fragment interface.

Since:
  2.1
Author:
  Mark Paluch, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`FragmentMetadata(MetadataReaderFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Stream<String>` `getFragmentInterfaces(String interfaceName)` Returns all interfaces to be considered fragment ones for the given source interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FragmentMetadata

    public FragmentMetadata(MetadataReaderFactory factory)

### Method Detail

#### getFragmentInterfaces

    public Stream<String> getFragmentInterfaces(String interfaceName)

Returns all interfaces to be considered fragment ones for the given source interface.

Parameters:
  `interfaceName` - must not be null or empty.
Returns: